> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# Review Payments

GET https://sandbox.currenciesdirect.com/v1/customers/{customer_id}/payments

**Deprecated**: This endpoint is deprecated. Please use [List Payments](/api-reference/customers/api-integration/payments/list-payments) (v3) instead.

Review all your Payments.

**Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)

Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/legacy-ap-is/legacy-payments/review-payments

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Request

### Path parameters

- `customer_id` (string, required) — Unique Customer Identifier

### Query parameters

- `page` (integer, optional) — For queries that return arrays of data. Including this optional query parameter causes the set of results to be paginated by this number of pages.
- `limit` (integer, optional) — For queries that return arrays of data. Adding this optional query parameter causes the set of results to be split into pages of this size. Default is 50.
- `currency` (string, optional) — Adding this optional parameter will retrieve only payments including this buy currency.
- `from` (date, optional) — Adding this optional query parameter will retrieve only payments made after or on this date.
- `to` (date, optional) — Adding this optional query parameter will retrieve only payments made before or on this date.
- `paymentstatus` (enum, optional) — Adding this optional query parameter will retrieve only payments having this status.
  - Allowed values: `INPROCESS`, `AWAITINGBANKAPPROVAL`, `APPROVED`, `CANCELLED`

## Response

### 200

Ok. The response will contain a list of Payment Instructions.

- `payments` (list of ReviewPaymentItem, required) — Array of Payment instructions.
- `meta_data` (ReviewPaymentsResponseMetaData, required) — Container for metadata.

## Errors

### 400 Bad Request Error

Bad request

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 401 Unauthorized Error

Unauthorized

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 404 Not Found Error

Resource not found

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 500 Internal Server Error

Internal server error

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

## Types

### ReviewPaymentItem

- `payment_id` (string, required) — Payment ID
- `instruction_number` (string, required) — Unique client reference to identify this conversion in future. The format will be \{customerId}-\{sequenceNumber}
- `currency_code` (string, required) — Recipient's Currency Code. **Reference:** [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)
- `amount` (double, required) — Amount being debited.
- `recipient_details` (ReviewPaymentRecipientDetails, required)
- `status` (string, required) — Status of this payment.
- `payment_reference` (string, required) — Description to appear on the Recipient's bank statement.
- `created_datetime` (datetime, required) — Timestamp of the payment
- `payment_date` (date, required) — Date when the payment was completed.
- `client_reference_id` (string, required) — Unique reference id that you assigned to this payment for your own purposes.

### ReviewPaymentsResponseMetaData

Container for metadata.

- `total_pages` (string, required) — Number of pages of available data.
- `total_records` (string, required) — Number of records of available data.
- `next_page` (string, optional) — URL to next page of data. This field is omitted for the last page.
- `previous_page` (string, optional) — URL to the previous page of data. This field is omitted for the first page.

### ReviewPaymentRecipientDetails

- `recipient_name` (string, required) — Name of the Recipient.
- `recipient_account_number` (string, required) — IBAN or account number of the recipient.
- `country_code` (string, required) — Three letter Country Code of the Recipient. **Reference:** [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3)

## Examples

**Response**

```json
{
  "payments": [
    {
      "payment_id": "2932478",
      "instruction_number": "0202000005924291-000000164",
      "currency_code": "USD",
      "amount": 10,
      "recipient_details": {
        "recipient_name": "Joe Bloggs",
        "recipient_account_number": "457037479121",
        "country_code": "USA"
      },
      "status": "INPROCESS",
      "payment_reference": "987564823645",
      "created_datetime": "2019-05-20T16:42:12Z",
      "payment_date": "2019-05-20",
      "client_reference_id": "987564823645"
    },
    {
      "payment_id": "2932470",
      "instruction_number": "0202000005924291-000000162",
      "currency_code": "USD",
      "amount": 10,
      "recipient_details": {
        "recipient_name": "Joe Bloggs",
        "recipient_account_number": "457037479121",
        "country_code": "USA"
      },
      "status": "INPROCESS",
      "payment_reference": "987564823645",
      "created_datetime": "2019-05-20T14:07:12Z",
      "payment_date": "2019-05-20",
      "client_reference_id": "987564823646"
    },
    {
      "payment_id": "2932232",
      "instruction_number": "0202000005924291-000000161",
      "currency_code": "USD",
      "amount": 1.91,
      "recipient_details": {
        "recipient_name": "Joe Bloggs",
        "recipient_account_number": "457037479121",
        "country_code": "USA"
      },
      "status": "INPROCESS",
      "payment_reference": "saving 22",
      "created_datetime": "2019-05-20T12:27:12Z",
      "payment_date": "2019-05-20",
      "client_reference_id": "987564823647"
    },
    {
      "payment_id": "2932072",
      "instruction_number": "0202000005924291-000000160",
      "currency_code": "USD",
      "amount": 1.91,
      "recipient_details": {
        "recipient_name": "Joe Bloggs",
        "recipient_account_number": "457037479121",
        "country_code": "USA"
      },
      "status": "INPROCESS",
      "payment_reference": "saving 22",
      "created_datetime": "2019-05-20T11:12:48Z",
      "payment_date": "2019-05-20",
      "client_reference_id": "987564823648"
    },
    {
      "payment_id": "2907561",
      "instruction_number": "0202000005924291-000000065",
      "currency_code": "GBP",
      "amount": 24.59,
      "recipient_details": {
        "recipient_name": "James NJJJ",
        "recipient_account_number": "15487623",
        "country_code": "GBR"
      },
      "status": "CANCELLED",
      "payment_reference": "",
      "created_datetime": "2019-01-21T15:14:18Z",
      "payment_date": "2019-01-21",
      "client_reference_id": "987564823649"
    }
  ],
  "meta_data": {
    "total_pages": "8",
    "total_records": "38",
    "next_page": "/v1/customers/0202000005924291/payments?page=2&limit=5"
  }
}
```

**SDK Code**

```shell cURL
curl -X GET https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

```

```python 200 Response
import requests

url = "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments"

querystring = {"page":"1","limit":"50","currency":"USD","from":"2019-01-01","to":"2019-12-31","paymentstatus":"INPROCESS"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript 200 Response
const url = 'https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 Response
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 Response
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 Response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments?page=1&limit=50&currency=USD&from=2019-01-01&to=2019-12-31&paymentstatus=INPROCESS")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```